{% extends 'base.html' %}
{% block 'head' %}
  <title>Eventi disponibili</title>
  <style>
    .event {
      margin-bottom: 0.25rem;
      padding: 0.10rem 0.10rem 0.5rem 0.10rem;
      display: block;
      text-decoration: none;
      border-radius: 0;
      color: whitesmoke;
      transition: filter .15s ease-in-out;
    }
    .dateEvent {
      padding: 0 0.5rem 0 0.5rem;
      margin: 0 0 0.25rem 0;
      font-size: small;
      text-align: right;
      transition: filter .15s ease-in-out;
    }
    .event:hover {
      filter: brightness(120%);
    }
    .eventGreen {
      background-color: Green;
    }
    .dateEventGreen {
      background-color: DarkGreen;
    }
    .eventYellow {
      background-color: DarkOrange;
    }
    .dateEventYellow {
      background-color: Chocolate;
    }
    .eventBlue {
      background-color: Blue;
    }
    .dateEventBlue {
      background-color: MediumBlue;
    }
    .eventRed {
      background-color: FireBrick;
    }
    .dateEventRed {
      background-color: DarkRed;
    }
  </style>
{% endblock %}
{% block 'main' %}
  <h1>Eventi disponibili</h1>
  {% for event in event_list %}
    <a class="event event{{ event.color }} border border-dark" href="{% url 'event-details' pk=event.pk %}">
      <p class="dateEvent dateEvent{{ event.color }} border border-dark">
        {{ event.start|date:'D d M Y — H:i' }}
      </p>
      <b>{{ event.title }}</b>
    </a>
  {% empty %}
    Non ci sono eventi disponibili :(
  {% endfor %}
{% endblock %}